#ifndef TABNETWORK_H
#define TABNETWORK_H

#include <QGroupBox>
#include <QButtonGroup>

namespace Ui
{
	class TabNetwork;
}

class TabNetwork : public QGroupBox
{
	Q_OBJECT

private:
	Ui::TabNetwork *ui;
	QButtonGroup * m_qbgNetwork;
	QButtonGroup * m_qbgSpeed;


private slots:
	void setNetworkConnection( const int& );
	void setConnectionSpeed( const int& );
	void setLocalPort( const QString& );
	void setIPAddress( const QString& );

signals:
	void setRegistryChanged();

public:
	TabNetwork( QWidget * parent = 0 );
	virtual ~TabNetwork();

public slots:
	void updateContent();
};

#endif // TABNETWORK_H
