#ifndef TABVIDEO_H
#define TABVIDEO_H

#include <QGroupBox>

namespace Ui
{
	class TabVideo;
}

class TabVideo : public QGroupBox
{
	Q_OBJECT

private:
	Ui::TabVideo *ui;

private slots:
	void setResolution( const QString& );
	void setColorDepth( const QString& );
	void setTextureFilter( const int& );
	void setAnisotropic( const int& );
	void setAntialiasing( const int& );
	void setComputerSpeed( const QString& );

signals:
	void setRegistryChanged();

public:
	TabVideo( QWidget * parent = 0 );
	virtual ~TabVideo();

public slots:
	void updateContent();
};

#endif // TABVIDEO_H
