#ifndef FS2_FLAG_H
#define FS2_FLAG_H

enum 
{ 
	// DO NOT CHANGE ANYTHING ABOUT THESE FIRST TWO OR WILL MESS UP THE LAUNCHER 
	EASY_DEFAULT  =  1 << 1, 
	EASY_ALL_ON   =  1 << 2, 

	EASY_MEM_ON   =  1 << 3,
	EASY_MEM_OFF  =  1 << 4,

	// Add new flags here

	// Combos
	EASY_MEM_ALL_ON  = EASY_ALL_ON  | EASY_MEM_ON,
	EASY_DEFAULT_MEM = EASY_DEFAULT | EASY_MEM_OFF
};

// DO NOT CHANGE **ANYTHING** ABOUT THIS STRUCTURE AND ITS CONTENT
typedef struct
{
	char  name[20];     // The actual flag
	char  desc[40];     // The text that will appear in the launcher (unless its blank, other name is shown)
	bool  fso_only;     // true if this is a fs2_open only feature
	int   on_flags;     // Easy flag which will turn this feature on
	int   off_flags;    // Easy flag which will turn this feature off
	char  type[16];     // Launcher uses this to put flags under different headings
	char  web_url[256]; // Link to documentation of feature (please use wiki or somewhere constant)

} Flag;

// DO NOT CHANGE THE SIZE OF THIS STRING!
typedef struct
{
	char name[32];

} EasyFlag;

#endif
