#include "MyCheckBox.h"

MyCheckBox::MyCheckBox(const QString & qstrFlag, const QString & qstrDesc, QWidget *parent ) :
	QCheckBox( parent ),
	m_qstrFlag( qstrFlag ),
	m_qstrDesc( qstrDesc )
{
	if( m_qstrDesc.isEmpty() )
		setText( m_qstrFlag );
	else
		setText( m_qstrDesc );

	connect( this, SIGNAL( stateChanged( int ) ), this, SLOT( emitMyStateChanged( int ) ) );
}

void MyCheckBox::emitMyStateChanged( int nState )
{
	emit myStateChanged( m_qstrFlag, ( bool )nState );
}
