#ifndef TABSPEECH_H
#define TABSPEECH_H

#include <QGroupBox>

namespace Ui
{
	class TabSpeech;
}

class TabSpeech : public QGroupBox
{
	Q_OBJECT

private:
	Ui::TabSpeech *ui;

private slots:
	void on_qpbPlay_clicked();
	void on_qpbAdditional_clicked();
	void setVoice( const int& );
	void setVolume( const int& );
	void setTechRoom( bool );
	void setBriefings( bool );
	void setIngame( bool );

	void setSpeechVoice();
	void setSpeechVolume();

signals:
	void setRegistryChanged();

public:
	TabSpeech( QWidget * parent = 0 );
	virtual ~TabSpeech();

public slots:
	void updateContent();
};

#endif // TABSPEECH_H
